Package org.eclipse.net4j.util.container

## Class SelfAttachingContainerListener

- java.lang.Object
- - org.eclipse.net4j.util.container.SelfAttachingContainerListener

- All Implemented Interfaces:
    `java.util.EventListener`, `IListener`
  Direct Known Subclasses:
    `SelfAttachingContainerListener.Delegating`

      public class SelfAttachingContainerListener
      extends java.lang.Object
      implements IListener

  Since:
    3.6
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SelfAttachingContainerListener.Delegating` |
    `static interface` | `SelfAttachingContainerListener.DoNotDescend` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelfAttachingContainerListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `attach​(java.lang.Object element)` |
    `void` | `detach​(java.lang.Object element)` |
    `protected void` | `handleException​(java.lang.Exception ex)` |
    `protected boolean` | `isActive​(java.lang.Object element)` |
    `protected boolean` | `isWaitForActive()` |
    `protected void` | `notifyContainerEvent​(IContainerEvent<?> event)` |
    `void` | `notifyEvent​(IEvent event)` |
    `protected void` | `notifyOtherEvent​(IEvent event)` |
    `protected boolean` | `shouldAttach​(java.lang.Object element)` |
    `protected boolean` | `shouldDescend​(java.lang.Object element)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelfAttachingContainerListener

          public SelfAttachingContainerListener()

  - ### Method Detail

    - #### attach

          public void attach​(java.lang.Object element)

    - #### detach

          public void detach​(java.lang.Object element)

    - #### notifyEvent

          public void notifyEvent​(IEvent event)

      Specified by:
        `notifyEvent` in interface `IListener`

    - #### notifyContainerEvent

          protected void notifyContainerEvent​(IContainerEvent<?> event)

    - #### notifyOtherEvent

          protected void notifyOtherEvent​(IEvent event)

    - #### shouldAttach

          protected boolean shouldAttach​(java.lang.Object element)

    - #### shouldDescend

          protected boolean shouldDescend​(java.lang.Object element)

    - #### isWaitForActive

          protected boolean isWaitForActive()

    - #### isActive

          protected boolean isActive​(java.lang.Object element)

    - #### handleException

          protected void handleException​(java.lang.Exception ex)